Subject: bug#34489: 25.2; pdb fails if directory contains '++'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Jul 2019 08:39:19 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 2 Jul 2019 21:42:31 +0200
> Cc: [email-masked], [email-masked]
> 
> 
> [1:text/plain Hide]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Hmm... I wonder why the code bothers specifying the allowed characters
> > explicitly, and in particular why it only allows ASCII characters.
> >
> > Does the code work if the directory has non-ASCII characters instead
> > of "++"?
> 
> No, it breaks.  For now, I've attached a patch to use "[:alnum:]",
> which fixes that use case for me.
> 
> Regarding your first question, I'm not exactly sure why.  Maybe we
> could go as far as just doing "[[:print:]]*" for that part - or
> simply ".*".  What do you think?

I think both [:print:] and .* would be too radical, as I'm not sure
including control characters and arbitrary whitespace will not break
something.  But maybe [:graph:] is better than [:alnum:].

In any case, I think we want a comment there saying that this is to
allow more characters in file names shown in the prompt.

Thanks.